# Module internal

## Variables

dbCommonModulePath

## Functions

ftsFieldsSqlExpr
mkSelectOptions
mkWhere
orderByIsObject
orderByIsOperator
prefixFieldsInWhere
sqlBinOp
sqlFun
sqlsanitize
sqlsanitizeAllowDots
subSelectWhere

## References

AggregationOptions → AggregationOptions
CoordOpts → CoordOpts
DatabaseClient → DatabaseClient
JoinField → JoinField
JoinFields → JoinFields
JoinOptions → JoinOptions
JsonPath → JsonPath
JsonPathElem → JsonPathElem
Operator → Operator
PartialSome → PartialSome
PrimaryKeyValue → PrimaryKeyValue
Row → Row
SelectOptions → SelectOptions
StrongRow → StrongRow
SubselectOptions → SubselectOptions
UserLike → UserLike
Value → Value
Where → Where